﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:convs="clr-namespace:AltiumTest.Views.Converters"
                    xmlns:customControls="clr-namespace:AltiumTest.Views.Custom"
                    xmlns:system="clr-namespace:System;assembly=System.Runtime"
                    xmlns:beh="clr-namespace:AltiumTest.Views.Behavior"
                    xmlns:b="http://schemas.microsoft.com/xaml/behaviors">
	<DataTemplate x:Key="QuotesOrdersTemplate">
		<DataTemplate.Resources>
            <convs:DataGridResultFieldWidthConverter x:Key="DataGridResultFieldWidthConverter"></convs:DataGridResultFieldWidthConverter>
            <convs:RunningTotalDaysImpactToStringConverter x:Key="RunningTotalDaysImpactToStringConverter"></convs:RunningTotalDaysImpactToStringConverter>
            <convs:RunningTotalCostImpactToStringConverter x:Key="RunningTotalCostImpactToStringConverter"></convs:RunningTotalCostImpactToStringConverter>
			<convs:ManufacturingGroupToCostConverter x:Key="ManufacturingGroupToCostConverter"></convs:ManufacturingGroupToCostConverter>
			<convs:ManufacturingGroupToFabricationConverter x:Key="ManufacturingGroupToFabricationConverter"></convs:ManufacturingGroupToFabricationConverter>
			<!--Tooltip for fabrication-->
			<ToolTip x:Key="ToolTipFabrication" Style="{StaticResource AltiumTooltip}">
				<Grid>
					<Grid.RowDefinitions>
						<RowDefinition Height="auto"></RowDefinition>
						<RowDefinition Height="auto"></RowDefinition>
					</Grid.RowDefinitions>
					<TextBlock Grid.Row="0" Text="Valid Values" Margin="5,5,5,5" FontSize="14" FontWeight="Bold"></TextBlock>
					<ItemsControl Grid.Row="1" ItemsSource="{Binding Conditions}">
						<ItemsControl.ItemTemplate>
							<DataTemplate>
								<Grid>
									<Grid.Style>
										<Style TargetType="Grid">
											<Setter Property="Visibility" Value="Visible" />
											<Style.Triggers>
												<DataTrigger Binding="{Binding IsVisible}" Value="False">
													<Setter Property="Visibility" Value="Collapsed" />
												</DataTrigger>
											</Style.Triggers>
										</Style>
									</Grid.Style>
									<Grid.ColumnDefinitions>
										<ColumnDefinition Width="10"></ColumnDefinition>
										<ColumnDefinition Width="*"></ColumnDefinition>
										<ColumnDefinition Width="*"></ColumnDefinition>
										<ColumnDefinition Width="*"></ColumnDefinition>
									</Grid.ColumnDefinitions>
									<Path Name="TickMark" Fill="White" Margin="5,0,0,0" VerticalAlignment="Center" HorizontalAlignment="Center" Data="M0,4 5,9 9,0 4,5">
										<Path.Style>
											<Style TargetType="Path">
												<Setter Property="Visibility" Value="Visible" />
												<Style.Triggers>
													<DataTrigger Binding="{Binding IsRespected}" Value="False">
														<Setter Property="Visibility" Value="Collapsed" />
													</DataTrigger>
												</Style.Triggers>
											</Style>
										</Path.Style>
									</Path>
									<TextBlock Grid.Column="1" Text="{Binding Description}" Margin="5,5,5,5"></TextBlock>
									<customControls:ScoreControl Grid.Column="2" Margin="5,5,5,5"
									                             Score="{Binding TimeScore}"
									                             DisabledColor="{StaticResource LightGrayBackgroundBrush}" EnabledColor="#62b8ed"></customControls:ScoreControl>
									<customControls:ScoreControl Grid.Column="3" Margin="5,5,5,5"
									                             Score="{Binding CostScore}"
									                             DisabledColor="{StaticResource LightGrayBackgroundBrush}" EnabledColor="#f0c425"></customControls:ScoreControl>
								</Grid>
							</DataTemplate>
						</ItemsControl.ItemTemplate>
					</ItemsControl>
				</Grid>
			</ToolTip>
		</DataTemplate.Resources>
        <Grid Background="{StaticResource DarkGrayBackgroundBrush}">
			<Grid Margin="3,3,3,3">
				<Grid.RowDefinitions>
					<RowDefinition>
						<!--Preferences expander row-->
						<RowDefinition.Style>
							<Style TargetType="RowDefinition">
								<Setter Property="Height" Value="Auto" />
								<Style.Triggers>
									<DataTrigger Binding="{Binding ElementName=PreferencesExpander, Path=IsExpanded}" Value="True">
										<Setter Property="Height" Value="*" />
									</DataTrigger>
								</Style.Triggers>
							</Style>
						</RowDefinition.Style>
					</RowDefinition>
					<RowDefinition>
						<!--Quotes expander row-->
						<RowDefinition.Style>
							<Style TargetType="RowDefinition">
								<Setter Property="Height" Value="Auto" />
								<Style.Triggers>
									<DataTrigger Binding="{Binding ElementName=QuotesExpander, Path=IsExpanded}" Value="True">
										<Setter Property="Height" Value="*" />
									</DataTrigger>
								</Style.Triggers>
							</Style>
						</RowDefinition.Style>
					</RowDefinition>
					<RowDefinition>
						<!--Order expander row-->
						<RowDefinition.Style>
							<Style TargetType="RowDefinition">
								<Setter Property="Height" Value="Auto" />
								<Style.Triggers>
									<DataTrigger Binding="{Binding ElementName=OrdersExpander, Path=IsExpanded}" Value="True">
										<Setter Property="Height" Value="*" />
									</DataTrigger>
								</Style.Triggers>
							</Style>
						</RowDefinition.Style>
					</RowDefinition>
				</Grid.RowDefinitions>
				<Expander Grid.Row="0" x:Name="PreferencesExpander" IsExpanded="{Binding IsPreferencesExpanded, Mode=TwoWay}">
					<Expander.Header>
						<TextBlock Text="Preferences" HorizontalAlignment="Stretch" TextAlignment="Left" Margin="3,3,3,3" Background="{StaticResource LightGrayBackgroundBrush}"></TextBlock>
					</Expander.Header>
				</Expander>
				<Expander Grid.Row="1" x:Name="QuotesExpander" IsExpanded="True" VerticalAlignment="Top">
					<Expander.Header>
						<TextBlock Text="Quotes" HorizontalAlignment="Stretch" TextAlignment="Left" Margin="3,3,3,3" Background="{StaticResource LightGrayBackgroundBrush}"></TextBlock>
					</Expander.Header>
					<Border BorderThickness="3" Background="{StaticResource DarkGrayBackgroundBrush}">
						<Grid x:Name="expLayout">
							<Grid.Resources>
								<CollectionViewSource x:Key="GroupedData" Source="{Binding QuoteParameters}">
									<CollectionViewSource.GroupDescriptions>
										<PropertyGroupDescription PropertyName="Group" />
									</CollectionViewSource.GroupDescriptions>
                                </CollectionViewSource>

							</Grid.Resources>
							<Grid.ColumnDefinitions>
								<ColumnDefinition Width="*"></ColumnDefinition>
								<ColumnDefinition Width="*"></ColumnDefinition>
							</Grid.ColumnDefinitions>

							<Grid Grid.Column="0" Margin="3,3,3,3" x:Name="dgLayout">
								<Grid.RowDefinitions>
									<RowDefinition Height="*"></RowDefinition>
									<RowDefinition Height="auto"></RowDefinition>
								</Grid.RowDefinitions>
								<Border Grid.Row="0" BorderThickness="2,2,2,1" BorderBrush="Black">
									<!--DataGrid-->

									<DataGrid Background="Transparent"  Height="auto"
									          ItemsSource="{Binding Source={StaticResource GroupedData}}"
									          EnableColumnVirtualization="True"
									          CanUserAddRows="False"
									          AutoGenerateColumns="False"
									          HeadersVisibility="Column"
									          GridLinesVisibility="None"
											  x:Name="dGrid"
											  VerticalScrollBarVisibility="Auto"
											  HorizontalScrollBarVisibility="Auto"
									          EnableRowVirtualization="True">
										<b:Interaction.Behaviors>
											<beh:DatagridBehavior></beh:DatagridBehavior>
										</b:Interaction.Behaviors>
										<DataGrid.Resources>
											<system:Double x:Key="{x:Static SystemParameters.VerticalScrollBarWidthKey}">8</system:Double>
										</DataGrid.Resources>

										<DataGrid.ColumnHeaderStyle>
											<Style TargetType="{x:Type DataGridColumnHeader}">
												<Setter Property="HorizontalAlignment" Value="Left" />
												<Setter Property="Background" Value="Transparent" />
												<Setter Property="Height" Value="20" />
											</Style>
										</DataGrid.ColumnHeaderStyle>
										<DataGrid.RowStyle>
											<Style TargetType="{x:Type DataGridRow}">
												<Setter Property="HorizontalAlignment" Value="Left" />
												<Setter Property="Background" Value="Transparent" />
											</Style>
										</DataGrid.RowStyle>
										<DataGrid.CellStyle>
											<Style TargetType="{x:Type DataGridCell}">
												<Style.Triggers>
													<Trigger Property="IsSelected" Value="True">
														<Setter Property="Background" Value="Black" />
													</Trigger>
												</Style.Triggers>
											</Style>
										</DataGrid.CellStyle>
										<DataGrid.GroupStyle>
											<GroupStyle>
												<GroupStyle.HeaderTemplate>
													<DataTemplate>
														<StackPanel>
															<TextBlock Text="{Binding Path=Name}" FontWeight="Bold" Padding="3"/>
														</StackPanel>
													</DataTemplate>
												</GroupStyle.HeaderTemplate>
												<GroupStyle.ContainerStyle>
													<Style TargetType="{x:Type GroupItem}">
														<Setter Property="Template">
															<Setter.Value>
																<ControlTemplate TargetType="{x:Type GroupItem}">
																	<Expander  Style="{StaticResource DataGridExpanderStyle}" IsExpanded="True">
                                                                        <ItemsPresenter />
																	</Expander>
																</ControlTemplate>
															</Setter.Value>
														</Setter>
													</Style>
												</GroupStyle.ContainerStyle>
											</GroupStyle>
										</DataGrid.GroupStyle>
										<DataGrid.Columns>
											<DataGridTemplateColumn Header="Parameter" x:Name="parameterColoumn" Width="auto" HeaderStyle="{StaticResource dgHeaderStyle}">

												<DataGridTemplateColumn.CellTemplate>
													<DataTemplate>
														<TextBlock HorizontalAlignment="Left" Margin="4,0,5,0" Text="{Binding Name}" VerticalAlignment="Center" TextAlignment="Center"></TextBlock>
													</DataTemplate>
												</DataGridTemplateColumn.CellTemplate>
											</DataGridTemplateColumn>
											<DataGridTemplateColumn Header="Value" x:Name="valueColoumn" Width="auto" HeaderStyle="{StaticResource dgHeaderStyle}">
												<DataGridTemplateColumn.CellTemplate>
													<DataTemplate>
														<TextBlock HorizontalAlignment="Left" Text="{Binding StringValue}" VerticalAlignment="Center" TextAlignment="Center"></TextBlock>
													</DataTemplate>
												</DataGridTemplateColumn.CellTemplate>
											</DataGridTemplateColumn>
											<DataGridTemplateColumn Header="Time Impact" x:Name="timeImpactColoumn" Width="auto" HeaderStyle="{StaticResource dgHeaderStyle}">
												<DataGridTemplateColumn.CellTemplate>
													<DataTemplate>
														<TextBlock HorizontalAlignment="Right" Margin="3,0,5,0" Text="{Binding TimeImpact}" VerticalAlignment="Center" TextAlignment="Center"></TextBlock>
													</DataTemplate>
												</DataGridTemplateColumn.CellTemplate>
											</DataGridTemplateColumn>
											<DataGridTemplateColumn Header="Cost Impact" x:Name="costImpactColoumn" Width="auto" HeaderStyle="{StaticResource dgHeaderStyle}">
												<DataGridTemplateColumn.CellTemplate>
													<DataTemplate>
														<TextBlock HorizontalAlignment="Right" Margin="3,0,5,0" Text="{Binding CostImpact}" VerticalAlignment="Center" TextAlignment="Center"></TextBlock>
													</DataTemplate>
												</DataGridTemplateColumn.CellTemplate>
											</DataGridTemplateColumn>
										</DataGrid.Columns>
									</DataGrid>
								</Border>
									<!--Manufacturing and fabrications-->
								<Border Grid.Row="1" BorderBrush="Black" BorderThickness="2,1,2,2" Height="19">
									<Grid>
                                        <Grid.ColumnDefinitions>
											<ColumnDefinition Width="auto"></ColumnDefinition>
											<ColumnDefinition Width="auto"></ColumnDefinition>
											<ColumnDefinition Width="auto"></ColumnDefinition>
										</Grid.ColumnDefinitions> 
										<Border Grid.Column="0"  BorderBrush="Black" BorderThickness="0,0,1,0">
											<Border.Width>
												<MultiBinding Converter="{StaticResource DataGridResultFieldWidthConverter}">
													<Binding ElementName="parameterColoumn" Path="ActualWidth"/>
													<Binding ElementName="valueColoumn" Path="ActualWidth" />
												</MultiBinding>
											</Border.Width>
											<TextBlock Text="Running Total" Margin="4,0,0,0"></TextBlock>
										</Border>
										<Border Grid.Column="1" Width="{Binding ElementName=timeImpactColoumn, Path=ActualWidth}" BorderBrush="Black" BorderThickness="0,0,1,0">
											<TextBlock Text="{Binding ElementName=dGrid, Path=DataContext.QuoteParameters, Converter={StaticResource RunningTotalDaysImpactToStringConverter}}"
											           Margin="0,0,4,0"
											           HorizontalAlignment="Right"></TextBlock>
										</Border>
										<Border Grid.Column="2" Width="{Binding ElementName=costImpactColoumn, Path=ActualWidth}">
											<TextBlock Text="{Binding ElementName=dGrid, Path=DataContext.QuoteParameters, Converter={StaticResource RunningTotalCostImpactToStringConverter}}" 
											           Margin="0,0,4,0"
											           HorizontalAlignment="Right"></TextBlock>
										</Border>
									</Grid>
								</Border>
							</Grid>
							<Grid Grid.Column="1" Margin="3,3,3,3">
								<Border BorderBrush="{StaticResource LightGrayBackgroundBrush}" BorderThickness="1.5">
									<ScrollViewer  VerticalScrollBarVisibility="Auto">
										<Grid Margin="10,10,10,10">
											<Grid.RowDefinitions>
												<RowDefinition Height="auto"></RowDefinition>
												<RowDefinition Height="auto"></RowDefinition>
												<RowDefinition Height="2"></RowDefinition>
												<RowDefinition Height="auto"></RowDefinition>
											</Grid.RowDefinitions>
											<Grid Grid.Row="0">
												<Grid.RowDefinitions>
													<RowDefinition Height="auto"></RowDefinition>
													<RowDefinition Height="auto"></RowDefinition>
												</Grid.RowDefinitions>
												<TextBlock Grid.Row="0" Text="Manufacturing" FontSize="18"></TextBlock>
												<TextBlock Grid.Row="1" Text="{Binding Manufacturing, Converter={StaticResource ManufacturingGroupToCostConverter}}" ></TextBlock>
											</Grid>
											<Grid Grid.Row="1">
												<customControls:ManufacturingControl Source="{Binding Manufacturing}" Margin="0,12,0,12" StripHeight="8" HorizontalAlignment="Stretch"></customControls:ManufacturingControl>
											</Grid>
											<Grid Grid.Row="2" Background="DarkGray">

											</Grid>
											<Grid Grid.Row="3" Margin="0,10,0,0">
												<Grid.RowDefinitions>
													<RowDefinition Height="auto"></RowDefinition>
													<RowDefinition Height="auto"></RowDefinition>
													<!--<RowDefinition Height="auto"></RowDefinition>-->
												</Grid.RowDefinitions>
												<TextBlock Grid.Row="0" Text="Fabrication" FontSize="18"></TextBlock>
												<TextBlock Grid.Row="1" Text="{Binding Manufacturing, Converter={StaticResource ManufacturingGroupToFabricationConverter}}" ></TextBlock>
												<Grid Grid.Row="1">
													<Grid.RowDefinitions>
														<RowDefinition Height="auto"></RowDefinition>
														<RowDefinition Height="auto"></RowDefinition>
													</Grid.RowDefinitions>
													<Grid Grid.Row="0">
														<Grid.ColumnDefinitions>
															<ColumnDefinition Width="*"></ColumnDefinition>
															<ColumnDefinition Width="*"></ColumnDefinition>
															<ColumnDefinition Width="auto"></ColumnDefinition>
															<ColumnDefinition Width="auto"></ColumnDefinition>
														</Grid.ColumnDefinitions>
														<Grid x:Name="NameHeader" Grid.Column="0">
															<TextBlock  Text="Name" HorizontalAlignment="Stretch" VerticalAlignment="Center" TextAlignment="Center" Visibility="Hidden">
															</TextBlock>
														</Grid>
														<Grid x:Name="ValHeader" Grid.Column="1">
															<TextBlock  Text="Val" HorizontalAlignment="Stretch" VerticalAlignment="Center" TextAlignment="Center" Visibility="Hidden"></TextBlock>
														</Grid>
														<Grid x:Name="TimeImpactHeader" Grid.Column="2">
															<TextBlock  Text="Time Impact" Margin="5,0,5,0" HorizontalAlignment="Stretch" VerticalAlignment="Center" TextAlignment="Center"></TextBlock>
														</Grid>
														<Grid x:Name="CostImpactHeader" Grid.Column="3">
															<TextBlock Text="Cost Impact" Margin="5,0,5,0" HorizontalAlignment="Stretch" VerticalAlignment="Center" TextAlignment="Center"></TextBlock>
														</Grid>
														
													</Grid>
													<ItemsControl Grid.Row="1" Margin="0,10" ItemsSource="{Binding Fabrication}" >
														<ItemsControl.ItemTemplate>
															<DataTemplate>
																<Grid Height="auto" HorizontalAlignment="Stretch" Margin="2,2,2,2" ToolTipService.InitialShowDelay="200">
																	<Grid.ColumnDefinitions>
																		<ColumnDefinition Width="{Binding ElementName=NameHeader, Path=ActualWidth}"></ColumnDefinition>
																		<ColumnDefinition Width="{Binding ElementName=ValHeader, Path=ActualWidth}"></ColumnDefinition>
																		<ColumnDefinition Width="{Binding ElementName=TimeImpactHeader, Path=ActualWidth}"></ColumnDefinition>
																		<ColumnDefinition Width="{Binding ElementName=CostImpactHeader, Path=ActualWidth}"></ColumnDefinition>
																	</Grid.ColumnDefinitions>
																	<Grid.Style>
																		<Style TargetType="Grid">
																			<Setter Property="Background" Value="Transparent" />
																			<Style.Triggers>
																				<Trigger Property="IsMouseOver" Value="True">
																					<Setter Property="Background" Value="Gray" />
																					<Setter Property="ToolTip" Value="{StaticResource ToolTipFabrication}">

																					</Setter>
																				</Trigger>
																			</Style.Triggers>
																		</Style>
																	</Grid.Style>
																	<TextBlock Grid.Column="0" Text="{Binding Name}" HorizontalAlignment="Left"></TextBlock>
																	<TextBlock Grid.Column="1" Text="{Binding StrValue}"  HorizontalAlignment="Left"></TextBlock>
																	<Grid Grid.Column="2" >
																		<customControls:ScoreControl 
																			Score="{Binding TimeImpactScore}" HorizontalAlignment="Center"
																			DisabledColor="#575859" EnabledColor="#62b8ed"></customControls:ScoreControl>
																	</Grid>
																	<Grid Grid.Column="3" >
																		<customControls:ScoreControl 
																			Score="{Binding CostImpactScore}" HorizontalAlignment="Center"
																			DisabledColor="#575859" EnabledColor="#f0c425"></customControls:ScoreControl>
																	</Grid>
																	
																</Grid>
															</DataTemplate>
														</ItemsControl.ItemTemplate>
													</ItemsControl>
												</Grid>
											</Grid>
										</Grid>
									</ScrollViewer>
									
								</Border>
                                
							</Grid>
						</Grid>
					</Border>

				</Expander>
				<Expander Grid.Row="2" x:Name="OrdersExpander" IsExpanded="True">
					<Expander.Header>
						<TextBlock Text="Orders" HorizontalAlignment="Stretch" TextAlignment="Left" Margin="3,3,3,3" Background="{StaticResource LightGrayBackgroundBrush}"></TextBlock>
					</Expander.Header>
					<Grid Background="{StaticResource DarkGrayBackgroundBrush}">
						<StackPanel Orientation="Vertical" HorizontalAlignment="Center" VerticalAlignment="Center">
							<Image RenderOptions.BitmapScalingMode="HighQuality" MaxHeight="70" MaxWidth="70"  Source="pack://application:,,,/Resources/box.png" UseLayoutRounding="True"></Image>
							<TextBlock Text="There are no orders yet." HorizontalAlignment="Center"></TextBlock>
							<TextBlock Text="Your order will appear here." HorizontalAlignment="Center"></TextBlock>
							<Button Style="{StaticResource RoundedButtonStyleSimple}" Margin="0,10,0,0" Content="Make a Current Order"></Button>
						</StackPanel>
					</Grid>
				</Expander>
			</Grid>

		</Grid>
	</DataTemplate>
</ResourceDictionary>